# If you need to bootstrap this, turn this on.
# Otherwise, you have a loop with libcxxabi
%bcond_with bootstrap

%define major 1
%define libname %mklibname c++ %{major}
%define devname %mklibname c++ -d

Summary:	C++ standard library targeting C++11
Name:		libcxx
Version:	5.0.0
Release:	2
License:	MIT or NCSA
Group:		System/Libraries
Url:		http://libcxx.llvm.org/
Source0:	http://llvm.org/releases/%{version}/libcxx-%{version}.src.tar.xz
BuildRequires:	cmake
BuildRequires:	llvm-devel
%if %{without bootstrap}
BuildRequires:	python3
BuildRequires:	libcxxabi-devel
%endif

%description
libc++ is a new implementation of the C++ standard library, targeting C++11.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	C++ standard library targeting C++11
Group:		System/Libraries

%description -n %{libname}
libc++ is a new implementation of the C++ standard library, targeting C++11.

%files -n %{libname}
%doc CREDITS.TXT LICENSE.TXT TODO.TXT
%{_libdir}/libc++.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and header files for libcxx development
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for a new implementation of the C++ standard library,
targeting C++11.

%files -n %{devname}
%{_includedir}/c++/
%{_libdir}/libc++.so

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}.src

%build
export LDFLAGS="-Wl,--build-id"
# Clang in older releases than f24 can't build this code without crashing.
# So, we use gcc there. But the really old version in RHEL 6 works. Huh.
%cmake \
	-DCMAKE_C_COMPILER=%{_bindir}/gcc \
	-DCMAKE_CXX_COMPILER=%{_bindir}/g++ \
	-DLLVM_CONFIG=%{_bindir}/llvm-config \
%if %{without bootstrap}
	-DLIBCXX_CXX_ABI=libcxxabi \
	-DLIBCXX_CXX_ABI_INCLUDE_PATHS=%{_includedir} \
	-DPYTHONINTERP_FOUND=ON \
	-DPYTHON_EXECUTABLE=%{_bindir}/python3 \
	-DLIBCXX_ENABLE_ABI_LINKER_SCRIPT=ON \
%endif
%ifarch x86_64
	-DLIBCXX_LIBDIR_SUFFIX:STRING=64 \
%endif
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_libdir}/libc++*.a


%changelog

* Sat Nov 11 2017 Valeriya Oleynik <valerol@ya.ru> 5.0.0-2
- (a493c79) Rebuild without bootstrap


